CANVAS_ZOOM_HANDLE_KEYS(3)

EXPERIMENTAL_FUNC
canvas_zoom_handle_keys - Install callbacks to handle zoom key bindings for a world canvas.

SYNOPSIS
#include <karma_canvas.h>

KCallbackFunc canvas_zoom_handle_keys

(KWorldCanvas canvas, CONST KWorldCanvasLimits *limits)

DESCRIPTION
Install callbacks to handle zoom key bindings for a world canvas.

canvas
    The world canvas object.

limits
    The canvas limits. This is referenced when the appropriate keys are pressed.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/